Subject: [iccrg] Potential ICCRG presentation about the Per Packet Value concept @ Prague?

From: Szilveszter Nadas <[email-masked]>
Date: Thu, 22 Jun 2017 15:02:17 +0000

Hi ICCRG, cc AQM and TSVWG,

We have a research concept paper "Take your own share of the PIE" accepted to the ANRW WS (Saturday before the Prague ietf https://irtf.org/anrw/2017/).

Two of the reviewers mentioned that it might be interesting for the ietf, especially ICCRG, maybe AQM or TSVWG. I would be happy to present a summary of this paper (and the previous one it is based upon) at the Monday iccrg slot, if indeed it is interesting for the group. It would take ~20-30 minutes.  I have to finalize my travel plans next week, so if I get a confirmation that you are interested and that I have a slot reserved then I can extend my travel accordingly. (I will not participate at the IETF otherwise).

Link to the two papers:

http://lakis.web.elte.hu/publ/PPOV-AQM-inpress-ANRW2017.pdf (the ANRW paper)

https://www.researchgate.net/publication/312595858_Per_Packet_Value_A_Practical_Concept_for_Network_Resource_Sharing (Base concept paper @Globecom 2016)

Why it might be interesting (part of the Abstracts):

We introduce a framework that consists of flow-aware Packet Value marking at the edges and flow-unaware operation inside the network. We show that inside the network relatively simple scheduling and

AQM algorithms operating solely on Packet Value are suitable to implement the policies set at the network edge.

We propose the PVPIE Active Queue Management (AQM) method that combines the packet scheduling and dropping algorithms of PIE AQM and the packet marking-based resource sharing of the Per Packet Value (PPV) concept. PVPIE AQM combines the benefits of PIE and PPV concepts, keeping a target queueing delay and implementing policy-based resource sharing at the same time.

I am also happy to discuss the papers and receive comments on the mailing list.

Cheers,

Szilveszter